Projekte
Projektsitzung aktualisieren
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
projectSession*string
The project session ID
Format
uuidRequest-Body
application/json
TypeScript-Definitionen
TypeScript-Typ für request body.
A session is a time block with an OPTIONAL project and an OPTIONAL activity.
Only shape/format is checked here; the business rules (at least one of
project/activity, requires_project, activity_requirement, unit
visibility, overlap, full-day window) live in
{@see \App\Services\WorkActivityBookingValidator}.
Response-Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/project_sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "employee_id": "string", "project": { "id": "string", "code": "string", "name": "string", "description": "string", "cost_center": { "id": "string", "code": "string", "name": "string", "description": "string", "created_at": "string", "updated_at": "string" }, "active": "string", "activity_requirement": "string", "created_at": "string", "updated_at": "string" }, "activity": { "id": "string", "name": "string", "code": "string", "description": "string", "color": "string", "booking_mode": "string", "requires_project": "string", "active": "string", "sort_order": "string", "unit_ids": { "property1": null, "property2": null }, "created_at": "string", "updated_at": "string" }, "start_time": "string", "end_time": "string", "duration": "string", "full_day": true, "note": "string", "created_at": "string", "updated_at": "string" }}